Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037773
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 07. Sales managementmajorhave not tried2018-01-30 13:052018-02-15 12:20
ReporteregoitzView Statuspublic 
Assigned Todmiguelez 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revisionc6cbf47c3f32
ProjectionnoneETAnoneTarget Version3.0PR18Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037773: Perfomance problems deleting an invoice on an environment with thousands of invoices and invoice lines

DescriptionIt takes few minutes to delete a order with only 3 lines.
Steps To Reproduce-Create a order
-Add 3 lines
-Delete the order
*It takes 3 minutes.
Proposed SolutionAddding the following index improves the deletion but it is not enought.

+ <index name="C_INVOICELINE_BOMPARENT" unique="false">
+ <index-column name="BOM_PARENT_ID"/>
+ <whereClause><![CDATA[BOM_PARENT_ID IS NOT NULL]]></whereClause>
+ </index>
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0037772 closeddmiguelez Perfomance problems deleting an invoice on an environment with thousands of invoices and invoice lines 

-  Notes
(0102068)
egoitz (developer)
2018-01-30 17:19

The following index are also needed:


    CREATE INDEX m_costing_invoiceline
 ON m_costing
 USING btree
 (c_invoiceline_id);

    CREATE INDEX m_matchpo_invoiceline
 ON m_matchpo
 USING btree
 (c_invoiceline_id);


CREATE INDEX m_inout_invoice
  ON m_inout (c_invoice_id)
  WHERE m_inout is not null;
(0102246)
hgbot (developer)
2018-02-07 13:07

Repository: erp/backports/3.0PR18Q1
Changeset: c6cbf47c3f32ea4b59f56ec7077052487eeabf61
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Feb 07 13:06:52 2018 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR18Q1/rev/c6cbf47c3f32ea4b59f56ec7077052487eeabf61 [^]

Fixes Issue 37773. Adds several indexes that improve performance
in basic operations like deleting an Invoice or an Order

---
M src-db/database/model/tables/C_INVOICELINE.xml
M src-db/database/model/tables/C_ORDER.xml
M src-db/database/model/tables/M_COSTING.xml
M src-db/database/model/tables/M_INOUT.xml
M src-db/database/model/tables/M_MATCHPO.xml
---
(0102250)
vmromanos (developer)
2018-02-07 13:52

Code review OK

- Issue History
Date Modified Username Field Change
2018-01-30 13:13 dmiguelez Type defect => backport
2018-01-30 13:13 dmiguelez Target Version => 3.0PR18Q1
2018-01-30 17:19 egoitz Note Added: 0102068
2018-02-07 13:07 hgbot Checkin
2018-02-07 13:07 hgbot Note Added: 0102246
2018-02-07 13:07 hgbot Status scheduled => resolved
2018-02-07 13:07 hgbot Resolution open => fixed
2018-02-07 13:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR18Q1/rev/c6cbf47c3f32ea4b59f56ec7077052487eeabf61 [^]
2018-02-07 13:52 vmromanos Review Assigned To => vmromanos
2018-02-07 13:52 vmromanos Note Added: 0102250
2018-02-07 13:52 vmromanos Status resolved => closed
2018-02-07 13:52 vmromanos Fixed in Version => 3.0PR18Q1
2018-02-15 12:20 plujan Assigned To Triage Finance => dmiguelez


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker